# Create a Simple API in Rust using the Axum Framework

If you're new to Rust and eager to build your first API, you're in luck: this article will guide you step by step through building a simple REST API in Rust using the Axum framework. 

![Create a Simple API in Rust using the Axum Framework](https://codevoweb.com/wp-content/uploads/2023/03/Create-a-Simple-API-in-Rust-using-the-Axum-Framework.webp)

## Topics Covered

- Run the Rust Axum API on your Machine
- Setup the Rust Project
- Create an In-memory Database
- Define the API Response Structs
- Create the Axum API Route Handlers
    - Axum Route Function to Fetch All Records
    - Axum Route Function to Add a Record
    - Axum Route Function to Retrieve a Record
    - Axum Route Function to Edit a Record
    - Axum Route Function to Delete a Record
    - The Complete Axum Route Functions
- Create the Axum API Routes
- Register the API Routes and Setup CORS in Axum
- Conclusion


Read the entire article here: [https://codevoweb.com/create-a-simple-api-in-rust-using-the-axum-framework/](https://codevoweb.com/create-a-simple-api-in-rust-using-the-axum-framework/)

